import Panel from "../MViews/MPanel";
import { Decorator } from "../Decorator/Decorator";
import MButton from "../MUI/MButton";
import { MConfigs } from "../Global/MConfigs";

@Decorator.ClassName("OverPanel")
export default class OverPanel extends Panel {
    public prizeBtn: MButton;

    onSkinComplete() {
        super.onSkinComplete();
        this.prizeBtn.onTap(this, () => {
            window.location.href = MConfigs.rewardRecordUrl;
        })
    }
}